diff options
author | obrien <obrien@FreeBSD.org> | 2001-09-05 20:04:35 +0000 |
---|---|---|
committer | obrien <obrien@FreeBSD.org> | 2001-09-05 20:04:35 +0000 |
commit | 860ee32ac40bb6e9ceb0f6e2000eccd8e9ed3755 (patch) | |
tree | c572468e03f48b416320917ab17e09017973500e /release/alpha | |
parent | c5f4ee3ae549c5da64a042a635d7166a0f78af17 (diff) | |
download | FreeBSD-src-860ee32ac40bb6e9ceb0f6e2000eccd8e9ed3755.zip FreeBSD-src-860ee32ac40bb6e9ceb0f6e2000eccd8e9ed3755.tar.gz |
Also try to build `setcdboot' first, and only `pkg_add -r' if you cannot.
Submmitted by: dirk
Diffstat (limited to 'release/alpha')
-rw-r--r-- | release/alpha/mkisoimages.sh | 12 |
1 files changed, 8 insertions, 4 deletions
diff --git a/release/alpha/mkisoimages.sh b/release/alpha/mkisoimages.sh index dd5f046..b455ec10 100644 --- a/release/alpha/mkisoimages.sh +++ b/release/alpha/mkisoimages.sh @@ -55,10 +55,14 @@ mkisofs -r -J -h -V $LABEL -o $NAME $* type setcdboot 2>&1 | grep " is " >/dev/null if [ $? -ne 0 ]; then echo The setcdboot port is not installed. Trying to get it now. - if ! pkg_add -r setcdboot; then - echo "Could not get it via pkg_add - please go install this" - echo "from the ports collection and run this script again." - exit 2 + if [ -f /usr/ports/sysutils/setcdboot/Makefile ]; then + cd /usr/ports/sysutils/setcdboot && make install && make clean + else + if ! pkg_add -r setcdboot; then + echo "Could not get it via pkg_add - please go install this" + echo "from the ports collection and run this script again." + exit 2 + fi fi fi if [ "x$bootable" != "x" ]; then |